package yangtz.cs.liu.campus.service.area;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.entity.SysDept;
import yangtz.cs.liu.campus.domain.area.SchoolArea;
import yangtz.cs.liu.campus.vo.area.AreaVO;

import java.util.List;

/**
 * 场地信息Service接口
 *
 * @author ruoyi
 * @date 2022-09-29
 */
public interface ISchoolAreaService extends IService<SchoolArea>
{
    List<AreaVO> queryList(SchoolArea schoolArea);

    AreaVO queryInfo(Long id);

    int deleteByIds(List<Long> ids);

    Boolean checkIsExist(SchoolArea schoolArea);

    Long selectIdByName(String areaName);

    //是否存在场地子节点
    public boolean hasChildById(Long id);

    //修改场地信息
    public int updateArea(SchoolArea schoolArea);


}
